%global _empty_manifest_terminate_build 0
Name:		python-terminaltables
Version:	3.1.0
Release:	1
Summary:	Generate simple tables in terminals from a nested list of strings.
License:	MIT
URL:		https://github.com/Robpol86/terminaltables
Source0:	https://files.pythonhosted.org/packages/9b/c4/4a21174f32f8a7e1104798c445dacdc1d4df86f2f26722767034e4de4bff/terminaltables-3.1.0.tar.gz
BuildArch:	noarch

%description
Generate simple tables in terminals from a nested list of strings.

%package -n python3-terminaltables
Summary:	Generate simple tables in terminals from a nested list of strings.
Provides:	python-terminaltables
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-terminaltables
Generate simple tables in terminals from a nested list of strings.

%package help
Summary:	Development documents and examples for terminaltables
Provides:	python3-terminaltables-doc
%description help
Development documents and examples for terminaltables.

%prep
%autosetup -n terminaltables-3.1.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-terminaltables -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 23 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
